# XF86Config-4 (XFree86 X Window System server configuration file)

Section "Files"
	FontPath	"unix/:7100"			# local font server
	# if the local font server has problems, we can fall back on these
	FontPath	"/usr/lib/X11/fonts/misc"
	FontPath	"/usr/share/fonts/X11/misc"
	FontPath	"/usr/lib/X11/fonts/Type1"
	FontPath	"/usr/lib/X11/fonts/Speedo"
	FontPath	"/usr/lib/X11/fonts/100dpi"
	FontPath	"/usr/share/fonts/X11/75dpi"
	FontPath	"/usr/lib/X11/fonts/75dpi"
	FontPath	"/usr/share/fonts/X11/100dpi"
EndSection

Section "Module"
	Load	"bitmap"
	Load	"dbe"
	Load	"ddc"
	Load	"dri"
	Load	"extmod"
	Load	"freetype"
	Load	"glx"
	Load	"int10"
	Load	"record"
	Load	"type1"
	Load	"vbe"
	Load	"synaptics"   #### Touchpad
EndSection

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"keyboard"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xfree86"
	Option		"XkbModel"	"pc106"
	Option		"XkbLayout"	"de"
EndSection

Section "InputDevice"
	Identifier	"Optical Mouse"
	Driver		"mouse"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"Auto"
	Option		"Emulate3Buttons"	"true"
	Option		"ZAxisMapping"		"4 5"
EndSection


Section "InputDevice"
Identifier	"Configured Mouse"
Driver		"synaptics"
Option		"CorePointer"
Option		"Device"		"/dev/input/event3"
Option		"Protocol"		"event"
Option		"LeftEdge"		"60"
Option		"RightEdge"		"830"
Option		"TopEdge"		"70"
Option		"BottomEdge"		"650"
Option		"FingerLow"		"14"
Option		"FingerHigh"		"15"
Option		"MaxTapTime"		"180"
Option		"VertScrollDelta"	"40"
Option		"HorizScrollDelta"	"40"
Option		"MinSpeed"		"0.2"
Option		"MaxSpeed"		"0.6"
Option		"AccelFactor"		"0.05"
Option		"UpDownScrolling"	"1"
Option		"TouchpadOff"		"0"
EndSection


Section "Device"
	Identifier	"Generic Video Card"
	Driver		"i810"
##	VGA output with identical content to local display
#	Video overlay only on primary head, use "FlipPrimary"
#	to see Viedo on external output
#	local display is always pipe B!
#
#	Option		"MonitorLayout" "CRT,LFP"
#	Option		"Clone"	"yes"
#	Option		"CloneRefresh"	"60Hz"
#	Option		"FlipPrimary"	"yes"	#for video overlay on external output
#
##############################
#
##	local and remote with overlay, but blurred image on external output.
#
#	Option		"MonitorLayout" "NONE,CRT+LFP"	#local display is always on pipe B!
#	Option		"Clone"	"yes"			
#	Option		"FlipPrimary"	"yes"
#
##############################
#
##	S-VHS output as primary output, beware: local display stays
#	blank, video output possible, must reboot to use local display.
#
#	Option		"MonitorLayout"	"LFP,TV"
#	Option		"Clone"		"yes"

EndSection

Section "Monitor"
	Identifier	"Generic Monitor"
	HorizSync	31-81
	VertRefresh	56-75	
	Option		"DPMS"
	DisplaySize	303 228
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Device		"Generic Video Card"
	Monitor		"Generic Monitor"
	DefaultDepth	24
	SubSection "Display"
		Depth		1
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		4
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		8
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		15
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		16
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		24
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"Generic Keyboard"
	InputDevice	"Configured Mouse" "CorePointer"
	InputDevice	"Optical Mouse" "SendCoreEvents"
EndSection

Section "ServerFlags"
	Option "OffTime" "10"
EndSection


Section "DRI"
	Mode	0666
EndSection

